/**
Theme Name: TBExpress
Author: Javier Domínguez
Author URI: https://codigogp.com/
Description: .
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: TBExpress
Template: astra
*/


/* Header */

.ast-custom-button {
    position: relative; /* Permite posicionar absolutamente el ícono respecto a este div */
    display: inline-block; /* Asegura que el div se comporte como un elemento en línea para ajustar el tamaño al contenido */
}

.ast-custom-button::before {
    content: " ";
    display: block;
    position: absolute;
    left: 20px; /* Ajusta según sea necesario para alinear el ícono */
    top: 50%; /* Centra el ícono verticalmente */
    transform: translateY(-50%); /* Centra el ícono verticalmente */
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='21' viewBox='0 0 20 21' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7.31738 11.021L9.64852 8.13608L12.4646 10.5498L10.1335 13.4347L7.31738 11.021Z' fill='white'/%3E%3Cpath d='M5.91895 12.7701L6.62645 20.5001L9.38129 15.1432L5.91895 12.7701Z' fill='white'/%3E%3Cpath d='M19.5741 14.0494L14.3657 11.4404L12.0486 14.7382L19.5741 14.0494Z' fill='white'/%3E%3Cpath d='M13.0939 0.500066L10.7203 6.13514L13.8448 8.70412L13.0939 0.500066Z' fill='white'/%3E%3Cpath d='M8.08623 6.89683L0 7.18764L5.34867 9.48191L8.08623 6.89683Z' fill='white'/%3E%3C/svg%3E%0A");
    width: 20px; /* Ajusta el tamaño según sea necesario */
    height: 21px; /* Ajusta el tamaño según sea necesario */
    background-size: contain; /* Asegura que el ícono se ajuste al tamaño del contenedor */
    background-repeat: no-repeat;
    background-position: center;
}

.ast-custom-button:hover::before {
    transform: translateY(-50%) rotate(360deg); /* Gira el ícono */
    transition: transform 0.5s ease-in-out; /* Suaviza la transición */
}

/* MENU */

.ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item {

    line-height: 1em;
}

#primary-site-navigation-desktop ul.main-header-menu>li:after {
    background: #161616;
    bottom: -8px;
    content: "";
    height: 1px;
    left: 0;
    position: absolute;
    transition: width 0.3s cubic-bezier(0.405, 0.07, 0.575, 0.995);
    width: 0;
}

#primary-site-navigation-desktop ul.main-header-menu>li:hover:after {
    width: 100%;
}


/* MAIN BANNER */

.main-banner .elementor-element.elementor-element-11908fa.e-con {
    width: 80%;
}

.main-banner .elementor-element.elementor-element-57de14c.e-con {
   width: 60%;
}
.main-banner .elementor-element.elementor-element-04ed624.e-con {
    width: 40%;
}


/* FOOTER */


#astra-footer-menu a:hover {
    text-decoration: underline;
}
.site-footer-section-1 p {
    grid-column-gap: 10px;
    grid-row-gap: 10px;
    align-items: flex-start;
    display: flex
}
.site-footer-section-2 {
    position: relative;
}

.site-footer-section-2 img {
    position: absolute;
    top: auto;
    bottom: -160px;
    left: 0%;
    right: 0%;
}